@import '_content/GaelJ.BlazorCodeMirror6/GaelJ.BlazorCodeMirror6.ewb2sj01iq.bundle.scp.css';
@import '_content/Z.Blazor.Diagrams/Z.Blazor.Diagrams.ezdqu7jd9f.bundle.scp.css';

/* _content/ManaKlear.Reg.Web/Pages/Admin/DataTable/DataTableAdd.razor.rz.scp.css */
.tasks-section[b-3k3pklt7ri] {
    min-height: 64vh;
    overflow-x: hidden;
}

/* Shared transitions for panels */
.labels-container[b-3k3pklt7ri],
.elements-container[b-3k3pklt7ri] {
    transition: transform 0.3s ease, opacity 0.3s ease, margin-right 0.3s ease;
    opacity: 1;
}

    /* === LEFT PANEL (labels) === */
    .labels-container.show[b-3k3pklt7ri] {
        transform: translateX(0);
        opacity: 1;
    }

    .labels-container.hide[b-3k3pklt7ri] {
        transform: translateX(-100%);
        opacity: 0;
    }

    /* === RIGHT PANEL (elements) === */
    .elements-container.show[b-3k3pklt7ri] {
        transform: translateX(0);
        opacity: 1;
    }

    .elements-container.hide[b-3k3pklt7ri] {
        transform: translateX(100%);
        opacity: 0;
    }

/* Optional: subtle margin shift when hidden */
.tasks-container[b-3k3pklt7ri] {
    transition: margin-right 0.3s ease,margin-left 0.3s ease;
}

.right-panel-show[b-3k3pklt7ri] {
    margin-right: 0;
}

.left-panel-show[b-3k3pklt7ri] {
    margin-left: 0;
}
.right-panel-hide[b-3k3pklt7ri] {
    margin-right: -210px;
}

.left-panel-hide[b-3k3pklt7ri] {
    margin-left: -210px;
}

/* === Panel structure === */
.elements-container[b-3k3pklt7ri] {
    position: relative;
    border-right: 1px solid #ecf0f7;
    width: 210px;
    padding: 20px 0;
    display: flex;
    flex-direction: column;
}

/* === Button styles === */
.btn-right[b-3k3pklt7ri] {
    width: 18px;
}

    .btn-right .btn-text-rotate[b-3k3pklt7ri] {
        display: flex;
        transform: rotate(90deg);
    }

/* Utility */
.w-fit[b-3k3pklt7ri] {
    width: fit-content !important;
}

.tools[b-3k3pklt7ri] {
    display: flex;
}
    .tools .btn[b-3k3pklt7ri] {
        width: 35px;
        border: 1px solid #cdcdcd;
    }
    .tools .btn.active[b-3k3pklt7ri] {
        border: 1px solid #5957b1;
        color: white;
        background: #5957b1;
    }








.elements-container .tree[b-3k3pklt7ri] {
    left:0;
}
.elements-container .tree[b-3k3pklt7ri],
.elements-container .tree ul[b-3k3pklt7ri] {
    padding: 0;
    list-style: none;
    color: #369;
    position: relative;
}

    .elements-container .tree ul[b-3k3pklt7ri] {
        margin-left: 0.5em;
    }
        /* (indentation/2) */

        .elements-container .tree[b-3k3pklt7ri]:before,
        .elements-container .tree ul[b-3k3pklt7ri]:before {
            content: "";
            display: block;
            width: 0;
            position: absolute;
            top: 0;
            bottom: 0;
            left: 4px;
            border-left: 1px dashed;
        }

    .elements-container .tree li:hover + ul[b-3k3pklt7ri]::before {
        border-color: #6ad37d;
    }

.elements-container ul.tree[b-3k3pklt7ri]:before {
    border-left: none;
}

.elements-container .tree li[b-3k3pklt7ri] {
    text-wrap-mode: nowrap;
    margin: 0;
    padding: 0 0.8em; /* indentation + .5em */
    line-height: 2em; /* default list item's `line-height` */
    font-weight: bold;
    position: relative;
}

.elements-container .tree container[b-3k3pklt7ri],
.elements-container .tree folder[b-3k3pklt7ri] {
    display: block;
}

    .elements-container .tree container icon[b-3k3pklt7ri],
    .elements-container .tree folder icon[b-3k3pklt7ri] {
        background-repeat: no-repeat;
        background-position: 4px center;
        padding-left: 24px;
    }

    .elements-container .tree container icon[b-3k3pklt7ri] {
    }

    .elements-container .tree folder icon[b-3k3pklt7ri] {
    }

    .elements-container .tree li p.selected[b-3k3pklt7ri] {
        background-image: linear-gradient(to bottom, #e4eef5, #c0d1db);
        border-radius: 5px;
    }

.elements-container .tree li p:hover[b-3k3pklt7ri] {
    background-image: linear-gradient(to bottom, #e9f5e7, #c3d9bf);
    border-radius: 5px;
    cursor: pointer;
}


.elements-container ul.tree > li[b-3k3pklt7ri]:before {
    border-top: none;
}

.elements-container .tree li:last-child[b-3k3pklt7ri]:before {
    background: white; /* same with body background */
    height: auto;
    top: 1em; /* (line-height/2) */
    bottom: 0;
}

/**************************************************/

.fake-iframe[b-3k3pklt7ri] {
    align-content: flex-start;
    border: 12px solid #333;
    border-radius: 20px;
    background: white;
    overflow: auto;
    transition: all 0.3s ease;
    box-shadow: 0 0 20px rgba(0,0,0,0.2);
    margin-left: auto !important;
    margin-right: auto !important;
    background: #efeff7;
}
.fake-iframe.desktop[b-3k3pklt7ri] {
    width: 100%;
    max-width: 100%;
    height: 800px;
}

.fake-iframe.tablet[b-3k3pklt7ri] {
    width: 100%;
    max-width: 768px;
    height: 1024px;
}

.fake-iframe.mobile[b-3k3pklt7ri] {
    width: 100%;
    max-width: 375px;
    height: 667px;
}

    /* ---------------------------------- */
    /* Mobile simulation - all cols 100% */

    .fake-iframe.mobile[b-3k3pklt7ri]  [class*="col-sm-"],
    .fake-iframe.mobile[b-3k3pklt7ri]  [class*="col-md-"],
    .fake-iframe.mobile[b-3k3pklt7ri]  [class*="col-lg-"],
    .fake-iframe.mobile[b-3k3pklt7ri]  [class*="col-xl-"] {
        flex: 0 0 auto !important;
        width: 100% !important;
    }

    /* Extra-small screen simulation (xs) */
    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-1 {
        flex: 0 0 auto !important;
        width: 8.333333% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-2 {
        flex: 0 0 auto !important;
        width: 16.666667% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-3 {
        flex: 0 0 auto !important;
        width: 25% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-4 {
        flex: 0 0 auto !important;
        width: 33.333333% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-5 {
        flex: 0 0 auto !important;
        width: 41.666667% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-6 {
        flex: 0 0 auto !important;
        width: 50% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-7 {
        flex: 0 0 auto !important;
        width: 58.333333% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-8 {
        flex: 0 0 auto !important;
        width: 66.666667% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-9 {
        flex: 0 0 auto !important;
        width: 75% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-10 {
        flex: 0 0 auto !important;
        width: 83.333333% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-11 {
        flex: 0 0 auto !important;
        width: 91.666667% !important;
    }

    .fake-iframe.mobile[b-3k3pklt7ri]  .col-xs-12 {
        flex: 0 0 auto !important;
        width: 100% !important;
    }


    /* ---------------------------------- */
    /* Tablet simulation (sm) - like col-sm-* */
    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-1 {
        flex: 0 0 auto !important;
        width: 8.333333% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-2 {
        flex: 0 0 auto !important;
        width: 16.666667% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-3 {
        flex: 0 0 auto !important;
        width: 25% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-4 {
        flex: 0 0 auto !important;
        width: 33.333333% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-5 {
        flex: 0 0 auto !important;
        width: 41.666667% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-6 {
        flex: 0 0 auto !important;
        width: 50% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-7 {
        flex: 0 0 auto !important;
        width: 58.333333% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-8 {
        flex: 0 0 auto !important;
        width: 66.666667% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-9 {
        flex: 0 0 auto !important;
        width: 75% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-10 {
        flex: 0 0 auto !important;
        width: 83.333333% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-11 {
        flex: 0 0 auto !important;
        width: 91.666667% !important;
    }

    .fake-iframe.tablet[b-3k3pklt7ri]  .col-sm-12 {
        flex: 0 0 auto !important;
        width: 100% !important;
    }

    /* ---------------------------------- */
    /* Desktop simulation (md) */
    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-1 {
        flex: 0 0 auto !important;
        width: 8.333333% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-2 {
        flex: 0 0 auto !important;
        width: 16.666667% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-3 {
        flex: 0 0 auto !important;
        width: 25% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-4 {
        flex: 0 0 auto !important;
        width: 33.333333% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-5 {
        flex: 0 0 auto !important;
        width: 41.666667% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-6 {
        flex: 0 0 auto !important;
        width: 50% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-7 {
        flex: 0 0 auto !important;
        width: 58.333333% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-8 {
        flex: 0 0 auto !important;
        width: 66.666667% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-9 {
        flex: 0 0 auto !important;
        width: 75% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-10 {
        flex: 0 0 auto !important;
        width: 83.333333% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-11 {
        flex: 0 0 auto !important;
        width: 91.666667% !important;
    }

    .fake-iframe.desktop[b-3k3pklt7ri]  .col-md-12 {
        flex: 0 0 auto !important;
        width: 100% !important;
    }
/* _content/ManaKlear.Reg.Web/Pages/Admin/DataTable/Modules/DTTriggerConfig.razor.rz.scp.css */
/* _content/ManaKlear.Reg.Web/Pages/Admin/DataTable/Modules/DynamicTagConfig.razor.rz.scp.css */
.table[b-04otvjxnug] {
    display: flex;
    flex-direction: column; /* stack rows vertically */
    border: 1px solid #000;
}

.table-row[b-04otvjxnug] {
    display: flex; /* lay out cells horizontally */
}

.table-cell[b-04otvjxnug] {
    flex: 1; /* equal width like table cells */
    border: 1px solid #000;
    padding: 8px;
}

.w-fit[b-04otvjxnug]{
    width:fit-content;
}
/* _content/ManaKlear.Reg.Web/Pages/Admin/FeatureConfig/FeatureAdd.razor.rz.scp.css */
.ltr.full-view .sidebar-wrapper[b-i1tq01szg9] {
    height: auto;
    top: auto;
    left: auto;
    position: relative;
}

    .ltr.full-view .sidebar-wrapper .sidebar-tabs[b-i1tq01szg9] {
        height: auto;
    }

        .ltr.full-view .sidebar-wrapper .sidebar-tabs .nav[b-i1tq01szg9] {
            height: auto;
        }

.hovered[b-i1tq01szg9] {
    display: none;
    font-size: 12px
}
.hovered > span[b-i1tq01szg9] {
    cursor: pointer;
    margin:3px;
}
.on-hovered:hover .hovered[b-i1tq01szg9] {
    display: inline-flex;
}


/* _content/ManaKlear.Reg.Web/Pages/Admin/FeatureConfig/FeatureEdit.razor.rz.scp.css */
.ltr.full-view .sidebar-wrapper[b-7dubibt4ii] {
    height: auto;
    top: auto;
    left: auto;
    position: relative;
}

    .ltr.full-view .sidebar-wrapper .sidebar-tabs[b-7dubibt4ii] {
        height: auto;
    }

        .ltr.full-view .sidebar-wrapper .sidebar-tabs .nav[b-7dubibt4ii] {
            height: auto;
        }

.hovered[b-7dubibt4ii] {
    display: none;
    font-size: 12px
}

    .hovered > span[b-7dubibt4ii] {
        cursor: pointer;
        margin: 3px;
    }

.on-hovered:hover .hovered[b-7dubibt4ii] {
    display: inline-flex;
}
/* _content/ManaKlear.Reg.Web/Pages/Admin/FeatureConfig/Modules/LogicSet/LogicBox.razor.rz.scp.css */
.logic-box-container[b-8lqaordy9e]{
   margin: 10px
}
.logic-box-container .logic-title[b-8lqaordy9e] {
    border: dashed 1px gray;
    width: fit-content;
    padding: 4px;
}
    .logic-box-container .logic-title-control[b-8lqaordy9e] {
      
        padding: 4px;
    }

    .logic-box-container .logic-body[b-8lqaordy9e] {
        border: dashed 1px gray;
        padding: 4px;
    }

.condition-item[b-8lqaordy9e] {
    width: 100%;
    display: inline-flex;
    justify-content: space-between;
}
.condition-item-action[b-8lqaordy9e]{
    padding-top:10px;
}
.condition-option-box[b-8lqaordy9e] {
    width: 100%;
    background-color: #c1c1c1;
    display: inline-flex;
    justify-content: space-between;
    padding: 6px;
    margin-left: 4px;
    margin-top: 4px;
    margin-bottom: 4px;
}
.condition-item-new[b-8lqaordy9e] {
    width: 100%;
    background-color: #dddddd8f;
    display: inline-flex;
    justify-content: space-around;
    padding: 6px;
}
/* _content/ManaKlear.Reg.Web/Pages/DiagramWidget/NodeStyle/CircleNodeWidget.razor.rz.scp.css */

.bg-start[b-upifsl6xjr] {
    background-color: #65A603;
    border: 1px solid #568f01;
}

.bg-end[b-upifsl6xjr] {
    background-color: #D9320D;
    border: 1px solid #b92404;
}


.rounded-full[b-upifsl6xjr] {
    border-radius: 9999px;
}

.circle-node[b-upifsl6xjr] {
    color: white;
    text-align: center;
    padding: 0.8rem;
    width: 80px;
    height: 80px;
    -webkit-box-shadow: 0 2px 1px -1px rgba(0, 0, 0, .2), 0 1px 1px 0 rgba(0, 0, 0, .14), 0 1px 3px 0 rgba(0, 0, 0, .12);
    box-shadow: 0 2px 1px -1px rgba(0, 0, 0, .2), 0 1px 1px 0 rgba(0, 0, 0, .14), 0 1px 3px 0 rgba(0, 0, 0, .12);
}


.bg-start[b-upifsl6xjr]  .diagram-port {
    border: 1px solid #568f01;
}
.bg-end[b-upifsl6xjr]  .diagram-port {
    border: 1px solid #b92404;
}
/* _content/ManaKlear.Reg.Web/Pages/DiagramWidget/NodeStyle/DiamondNodeWidget.razor.rz.scp.css */
.default-node.diamond-node[b-71z0ch79q7] {
    transform: rotate(45deg);
    width: 70px;
    height: 70px;
    padding: 0.8rem;
    text-align: center;
}

.normal-text[b-71z0ch79q7] {
    transform: rotate(-45deg); /* Counteracts parent rotation */
    display: inline-block;
    font-size: 34px;
}

.title-text[b-71z0ch79q7] {
    margin-top: 30px;
    display: flex;
    justify-content: center;
    max-width: 70px;
    text-align: center;
    background-color: #e0dfdf;
    border: 1px solid #cccccc;
    border-radius: 10px;
    padding: 3px;
}
/* _content/ManaKlear.Reg.Web/Pages/DiagramWidget/NodeStyle/RectangleNodeWidget.razor.rz.scp.css */
.default-node.rectangle-node[b-3g6pid74v0] {
    width: 100px;
    height: 80px;
    padding: 0.8rem;
    text-align: center;
}
/* _content/ManaKlear.Reg.Web/Pages/Management/Dashboard/DashboardMaker.razor.rz.scp.css */
.chart-item[b-pwvey4zju7] {
    border: 1px solid lightgrey;
    border-radius: 10px;
    padding: 5px;
    cursor: grab;
}
/* _content/ManaKlear.Reg.Web/Pages/Management/Dashboard/Modules/Chart/ChartPreview.razor.rz.scp.css */
.nonFullscreen-div[b-rauvjdfc23] {
    display: flex;
    flex-direction: column;
}
.fullscreen-div[b-rauvjdfc23] {
    position: fixed; /* or absolute */
    top: 0;
    left: 0;
    width: 100vw; /* viewport width */
    height: 100vh !important; /* viewport height */
    /* Optional for layering */
    z-index: 999;
    background-color: #fff; /* or any background */
    padding: 10px 80px 100px 80px;
    display: flex;
    flex-direction: column;
}
    .fullscreen-div .canvas-container[b-rauvjdfc23] {
        padding-bottom: 50px;
        flex: 1;
    }
.nonFullscreen-div .canvas-container[b-rauvjdfc23] {
    height: 100%;
}
/* _content/ManaKlear.Reg.Web/Pages/Management/Dashboard/Modules/Chart/ChartSeriesConfig.razor.rz.scp.css */
.drop-container[b-mx7wdlnxx0]{

}

    .drop-container .drop-box[b-mx7wdlnxx0] {
    }
        .drop-container .drop-box .drop-box-content[b-mx7wdlnxx0] {
            min-height: 150px;
            border: dashed 1px gray;
            margin: 0.5rem;
        }
    .drop-container .drop-box .drop-box-title[b-mx7wdlnxx0] {
     padding-left: 7px
    }
    .drop-container .drop-box .drop-box-title span[b-mx7wdlnxx0] {
     font-weight:600;
    }
        .drop-container .drop-box .drop-box-content .drop-box-item[b-mx7wdlnxx0] {
            border: 1px solid #d5d5d5;
            background: #cfcfcf;
            padding: 2px 7px;
            font-size: 10px;
            border-radius: 2px;
            color: #000000;
            justify-content: space-between;
        }
        .column-item[b-mx7wdlnxx0] {
            border: 1px solid #5957b1;
            background: #5957b1;
            padding: 2px 7px;
            font-size: 10px;
            border-radius: 2px;
            color: white;
        }
/* _content/ManaKlear.Reg.Web/Pages/Management/Dashboard/Modules/Chart/PivotPreview.razor.rz.scp.css */
th:first-child[b-y1yabw3aij],
td:first-child[b-y1yabw3aij],
th.td-stiky[b-y1yabw3aij],th.th-stiky[b-y1yabw3aij] {
    position: sticky;
    z-index: 2;
}
th.td-stiky[b-y1yabw3aij] {
    background: #ececf7 !important;
}

.ltr th.td-stiky[b-y1yabw3aij],
.ltr th.th-stiky[b-y1yabw3aij]
{
    left: 0;
}

.rtl th.td-stiky[b-y1yabw3aij],
.rtl th.th-stiky[b-y1yabw3aij] {
    right: 0;
}

th.th-stiky[b-y1yabw3aij] {
    z-index: 3 !important;
}

table[b-y1yabw3aij] {
    border-collapse: separate !important;
    table-layout: fixed;
    width: 100%;
}

    table.child-table[b-y1yabw3aij] {
        border-collapse: collapse;
        table-layout: fixed;
        width: 100%;
    }

        table.child-table th[b-y1yabw3aij], table.child-table td[b-y1yabw3aij] {
            border: 1px solid black;
            padding: 6px;
            width: fit-content;
            text-wrap: auto;
        }
    table.child-table th[b-y1yabw3aij]{
        border:0 !important;
    }

    .ltr table.child-table th[b-y1yabw3aij]{
        padding-right:10px;
    }
    .rtl table.child-table th[b-y1yabw3aij]{
        padding-left:10px;
    }

thead th[b-y1yabw3aij] {
    position: sticky;
    top: 0;
    z-index: 2;
}
.table td[b-y1yabw3aij]{
    white-space: wrap !important;
}

.table-responsive[b-y1yabw3aij] {
    overflow: hidden;
    max-height: 100%;
}
.table-responsive:hover[b-y1yabw3aij] {
    overflow: scroll;
}
/* _content/ManaKlear.Reg.Web/Pages/Mini/Select2.razor.rz.scp.css */
/* _content/ManaKlear.Reg.Web/Pages/Public/FeaturePanel/DashboardRender.razor.rz.scp.css */
.dashboard-mini[b-7n5sd6desz] {
    height: 165px;
}
.dashboard-mini .dashboard-mini-title[b-7n5sd6desz] {
    font-size: 12px;
    border: gray 1px dashed;
    padding: 8px;
}
.dashboard-mini .dashboard-mini-zoom[b-7n5sd6desz] {
    zoom: 20%;
    border: gray 1px dashed;
    padding: 20px;
    margin-top: 40px;
    height:100%
}
/* For Chrome, Safari and Edge */
.report-content[b-7n5sd6desz] {
    overflow: scroll;
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE/Edge */
}

    .report-content[b-7n5sd6desz]::-webkit-scrollbar {
        display: none; /* Chrome/Safari */
    }
/* _content/ManaKlear.Reg.Web/Shared/_EmptyLayout.razor.rz.scp.css */

/* _content/ManaKlear.Reg.Web/Shared/_MainDashboardLayout.razor.rz.scp.css */
/* _content/ManaKlear.Reg.Web/Shared/_MainLayout.razor.rz.scp.css */
/* _content/ManaKlear.Reg.Web/Shared/_PublicLayout.razor.rz.scp.css */
